package model

import (
	"time"
)

type CommunityTeamStorePrinterDetail struct {
	Id              int       `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	OrdId           string    `json:"ord_id" xorm:"not null comment('订单id') VARCHAR(255)"`
	OrdType         int       `json:"ord_type" xorm:"not null comment('订单类型') INT(11)"`
	PrinterId       int       `json:"printer_id" xorm:"not null comment('打印机id') INT(11)"`
	PrinterModuleId int       `json:"printer_module_id" xorm:"not null comment('模版id') INT(11)"`
	PrintContent    string    `json:"print_content" xorm:"not null comment('打印内容') TEXT"`
	FailMsg         string    `json:"fail_msg" xorm:"not null comment('打印失败原因') TEXT"`
	PrinterOid      string    `json:"printer_oid" xorm:"not null comment('打印订单号') VARCHAR(255)"`
	State           int       `json:"state" xorm:"not null comment('状态') INT(11)"`
	StoreId         int       `json:"store_id" xorm:"not null comment('店铺id') INT(11)"`
	PrintTime       time.Time `json:"print_time" xorm:"comment('打印时间') DATETIME"`
	CreateTime      time.Time `json:"create_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime      time.Time `json:"update_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
